v1.0.0
OpenAPI 3.1.0

Get a transactional message

US region

Client Libraries

Get a transactional message

Returns information about an individual transactional message.

Path Parameters
  • transactional_id
    Type: integer
    required

    The identifier of your transactional message. You'll find this in the UI or URL of your transactional message. For example, if this is the path of a transactional message URL - /transactional/3/templates/139 - the transactional_id is 3.

Responses
  • application/json
  • 404

    The transactional message does not exist.

  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/transactional/{transactional_id}
curl https://api.customer.io/v1/transactional/1 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "message": {
    "id": 2,
    "name": "password reset",
    "description": "sends a temporary password and lets the customer reset their password.",
    "send_to_unsubscribed": true,
    "link_tracking": true,
    "open_tracking": true,
    "hide_message_body": true,
    "queue_drafts": true,
    "created_at": 1552341937,
    "updated_at": 1552341937
  }
}